
Katello - Feature #5654

Add env permissions for promotion

05/09/2014 07:28 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Partha Aji   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As a user I would like to lock-in CV promote permission to a specific environment.

Related issues:

Blocks Katello - Feature #5498: As a user, I should be able to lock permissio... Closed 04/29/2014

Associated revisions

Revision f72591fa - 05/19/2014 04:47 PM - Partha Aji

Fixes #5654 - Permissions for env promotion/remove

This commit contains code to handle environment promotion and deletion.

Basic Rules

To Promote/Remove you need

1) promote_or_remove_content_views from content views

2) promote_or_remove_content_views_to_environment from lifecycle environments.

Note: Remove of a content view is slightly different from "destroy".

Remove implies removal of content view versions which could entail

removal from environments.

Revision 4aea4fb9 - 05/19/2014 05:24 PM - Partha Aji 

Merge pull request #4103 from parthaa/env-promo

Fixes #5654 - Permissions for env promotion/remove

Revision ac59129f - 05/19/2014 08:47 PM - Partha Aji

Fixes #5654 - Permissions for env promotion/remove

This commit contains code to handle environment promotion and deletion.

Basic Rules

To Promote/Remove you need

1) promote_or_remove_content_views from content views

2) promote_or_remove_content_views_to_environment from lifecycle environments.

Note: Remove of a content view is slightly different from "destroy".

Remove implies removal of content view versions which could entail

removal from environments.

Revision 471c33f1 - 05/19/2014 09:24 PM - Partha Aji

Merge pull request #4103 from parthaa/env-promo

Fixes #5654 - Permissions for env promotion/remove

History

#1 - 05/09/2014 07:28 PM - Partha Aji

- Blocks Feature #5498: As a user, I should be able to lock permissions by Lifecycle Environment. added
#2 - 05/09/2014 07:30 PM - Partha Aji

- Assignee set to Partha Aji

#3 - 05/19/2014 09:52 PM - Partha Aji

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:ac59129fbd47d5491f5dca46757474fad14e60dd.

#4 - 05/27/2014 05:10 PM - Eric Helms

- Target version set to 44

#5 - 08/22/2014 08:23 AM - Eric Helms

- translation missing: en.field_release set to 13
